ProbingLinePlugin
Keywords: com.artenum.cassandra.plugin.probingline.ProbingLinePlugin class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.plugin.probingline
Class ProbingLinePlugin

    java.lang.Object
      com.artenum.cassandra.plugin.probingline.ProbingLinePlugin

All Implemented Interfaces:
  com.artenum.cassandra.pipeline.RemoveListener, com.artenum.cassandra.plugin.CassandraPlugin

    public class ProbingLinePlugin

extends java.lang.Object
implements com.artenum.cassandra.plugin.CassandraPlugin, com.artenum.cassandra.pipeline.RemoveListener

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  :
                 This class defines the VTK processing pipeline itself
                 and the initialisation of the contextuel GUI of the plugin.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Julien Forest, j.forest@artenum.com | Creation

Version:
  0.1
Author:
  Julien Forest

Constructor Summary
`ProbingLinePlugin()`
`ProbingLinePlugin(com.artenum.cassandra.pipeline.PipeLineManager pipelineManager, com.artenum.cassandra.plugin.PluginManager pluginManager, java.awt.Frame owner)`

Method Summary
`double` | `computeS(double x, double y, double z)`
`void` | `export()`
`javax.swing.JPopupMenu` | `getContextualMenu()`
`java.lang.String` | `getName()`
`com.artenum.cassandra.pipeline.VtkObject` | `getOutputDataSet()`
`void` | `remove()`
`java.lang.String` | `toString()`
`void` | `updateProbe(vtk.vtkDataSet inputDataSet, double[] startPtIn, double[] endPtIn, int resolIn, boolean viewPlot2D, int plotType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProbingLinePlugin

    public ProbingLinePlugin()

### ProbingLinePlugin

    public ProbingLinePlugin(com.artenum.cassandra.pipeline.PipeLineManager pipelineManager,
                             com.artenum.cassandra.plugin.PluginManager pluginManager,
                             java.awt.Frame owner)

Method Detail

### updateProbe

    public void updateProbe(vtk.vtkDataSet inputDataSet,
                            double[] startPtIn,
                            double[] endPtIn,
                            int resolIn,
                            boolean viewPlot2D,
                            int plotType)

### export

    public void export()

### computeS

    public double computeS(double x,
                           double y,
                           double z)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `com.artenum.cassandra.plugin.CassandraPlugin`

### remove

    public void remove()

  Specified by:
    `remove` in interface `com.artenum.cassandra.pipeline.RemoveListener`
  Specified by:
    `remove` in interface `com.artenum.cassandra.plugin.CassandraPlugin`

### getContextualMenu

    public javax.swing.JPopupMenu getContextualMenu()

  Specified by:
    `getContextualMenu` in interface `com.artenum.cassandra.plugin.CassandraPlugin`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getOutputDataSet

    public com.artenum.cassandra.pipeline.VtkObject getOutputDataSet()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

        All rights reserved. This software can
    	not be used or copy or diffused without
    	an explicit license of Artenum SARL, Paris-France